#version 400

uniform sampler2D texture0;

smooth in vec2 VS_TexCoord;
layout(location = 0) out vec4 fragColor;


void main()
{
	if(texture(texture0, VS_TexCoord).a < 0.5)
		discard;

	fragColor = vec4(0.0, 0.0, 0.0, 1.0);
}
